org.scalatest.matchers.Matchers

# ResultOfSizeWordApplication

#### class ResultOfSizeWordApplication extends HavePropertyMatcher[AnyRef, Long]

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
HavePropertyMatcher[AnyRef, Long], (AnyRef) ⇒ HavePropertyMatchResult[Long], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfSizeWordApplication
2. HavePropertyMatcher
3. Function1
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfSizeWordApplication (expectedSize: Long)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def andThen [A] (g: (HavePropertyMatchResult[Long]) ⇒ A): (AnyRef) ⇒ A

   Definition Classes
     Function1

7. #### def apply (objectWithProperty: AnyRef): HavePropertyMatchResult[Long]

   This method enables the following syntax:

   This method enables the following syntax:

       set should not have (size (3))
                           ^

   This reason `ResultOfSizeWordApplication` is a `HavePropertyMatcher[AnyRef, Long]` is so that you don't have to remember whether `size` needs to be surrounded by parentheses when following `have`. Only `length` and `size` can be used without parentheses: everything else needs the parentheses. So this approach means that if you use the unneeded parentheses with `length` and `size`, it will still work. This `apply` method uses reflection to find and access the `size` property on the passed `objectWithProperty`. Therefore if the object does not have the appropriate structure, the expression will compile, but at will produce a `TestFailedException` at runtime.

   objectWithProperty

     the object with the property against which to match

   returns

     the `HavePropertyMatchResult` that represents the result of the match

   Definition Classes
     ResultOfSizeWordApplication → HavePropertyMatcher → Function1

8. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

9. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

10. #### def compose [U] (g: (U) ⇒ AnyRef): HavePropertyMatcher[U, Long]

    Compose this `HavePropertyMatcher` with the passed function, returning a new `HavePropertyMatcher`.

    Compose this `HavePropertyMatcher` with the passed function, returning a new `HavePropertyMatcher`.

    This method overrides `compose` on `Function1` to return a more specific function type of `HavePropertyMatcher`.

    Definition Classes
      HavePropertyMatcher → Function1

11. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### val expectedSize : Long

14. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

15. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

17. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

18. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def toString (): String

    Definition Classes
      Function1 → AnyRef → Any

23. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from HavePropertyMatcher[AnyRef, Long]

### Inherited from (AnyRef) ⇒ HavePropertyMatchResult[Long]

### Inherited from AnyRef

### Inherited from Any